//
//  PuzzleView.h
//  puzzle
//
//  Created by kunii on 11/06/18.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
@class PuzzleTileLayer;

/**
 *  画面上にパズル化された画像と、タップによる2つのタイルの入れ替えに対応するUIView。
 */
@interface PuzzleView : UIView {
    /// 横の分割数
    int horizontalCount;
    /// 縦の分割数
    int verticalCount;   
    /// 選択されたタイル
    PuzzleTileLayer*    fromTile;
    /// ドラッグ時のpositionからのズレ
    CGPoint offset;
    /// fromTileのドラッグ前の位置
    CGPoint fromTilePosition;
    /// fromTileと指し変わるタイル
    PuzzleTileLayer*    toTile;
    /// toTileのドラッグ前の位置
    CGPoint    toTilePosition;
    UIImage*    _image;
}

/**
 *  パズルにする画像と同時に縦横の分割数を設定する
 */
- (void)setImage:(UIImage*)image withHCount:(int)hCount vCount:(int)vCount;

- (void)export:(NSString*)path;
- (BOOL)import:(NSString*)path;
@end
